#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m,z=0;
    int a[n];
    int b=0;
    int c=0;
    cin>>n;
    cin>>m;
for(int i=0;i<n;i++){
  cin>>a[i];  
}
for(int i=0;i<m;i++){
  cin>>b;  
  cin>>c;
  z+=abs(a[b-1]+a[c-1]);
}
cout<<z;
}